﻿:- consult('plnxt.pl').

 
start :-
nxt_open,
go.

go :-
nxt_go(200),
trigger_create(_,check_distance,turn_somewhere_else),
trigger_create(_,check_noise,turn_off),
go.

check_distance :-
nxt_ultrasonic(Distance,force),
Distance < 15.

 
check_noise :-
       nxt_sound(Value,force),
       Value > 50.

turn_off :-
trigger_killall,
nxt_stop,
nxt_close.

turn_somewhere_else :-
nxt_stop,
Angle is 100 + random(160),
nxt_rotate(200,Angle),
nxt_play_tone(666,1000).